.TH CosFileTransfer_VirtualFileSystem 3 "cosFileTransfer  1.1.8" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
CosFileTransfer_VirtualFileSystem \- This module implements the OMG CosFileTransfer::VirtualFileSystem interface\&.
.SH DESCRIPTION
.LP
To get access to the record definitions for the structures use: 
.br
\fI-include_lib("cosFileTransfer/include/*\&.hrl")\&.\fR

.SH EXPORTS
.LP
.B
\&'_get_file_system_type\&'(VFS) -> Return
.br
.RS
.TP
Types
VFS = #objref
.br
Return = \&'FTP\&' | \&'NATIVE\&'
.br
.RE
.RS
.LP
This read only attribute represents the target object\&'s associated file system\&.
.RE
.LP
.B
\&'_get_supported_content_types\&'(VFS) -> Return
.br
.RS
.TP
Types
VFS = #objref
.br
Return = 
.br
.RE
.RS
.LP
This read only attribute represents the target object\&'s supported content types\&.
.RE
.LP
.B
login(VFS, User, Password, Account) -> Return
.br
.RS
.TP
Types
VFS = #objref
.br
User = Password = Account = string()
.br
Return = {FileTransferSession, Directory} | {\&'EXCEPTION\&', E}
.br
FileTransferSession = Directory = #objref
.br
.RE
.RS
.LP
This operation creates a new instance of a \fIFileTransferSession\fR and a \fIDirectory\fR\&. The later represents the current working directory of the returned \fIFileTransferSession\fR\&.
.RE
